### Signal

# RB TrackTransferBatch::track-postprocess

#### Declaration

    void
    track_postprocess (
      RBTrackTransferBatch* self,
      GTask* task,
      RhythmDBEntry* entry,
      gchar* dest,
      guint64 dest_size,
      gchar* dest_mediatype,
      gpointer user_data
    )

#### Description [src]

Emitted when a track transfer is finishing, allowing signal handlers to perform any post-processing required. The signal is emitted on the task thread, so no UI interaction is possible

Use `g_task_return_error()` with the provided `GTask` to report errors.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`task`

  Type: `GTask`

  The current `GTask`.

  The data is owned by the caller of the function.

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` being transferred.

  The data is owned by the caller of the function.

`dest`

  Type: `gchar*`

  The destination URI for the transfer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dest_size`

  Type: `guint64`

  The size of the destination file.

`dest_mediatype`

  Type: `gchar*`

  The media type of the destination file.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.